Subject: Re: [RFC PATCH 00/10] net: hns3: Adds support of debugfs to HNS3 driver

From: Andrew Lunn <[email-masked]>
Date: Fri, 9 Nov 2018 23:43:46 +0100

> 3. Debugfs looks more unstructured unlike sysfs. Is there any
>    de-facto standard of the user-api or drivers are allowed to
>    use it in any way to expose the information from kernel.

Hi Salil

You don't really have a user api using debugfs, because debugfs is
unstable. Anything can change at any time. Any user tools which use
debugfs can be expected to break at any time as the information in
debugfs changes. debugfs is for debug, not to export an API. And in
production systems, it is often not mounted.

As much as possible, you are recommended to use existing APIs,
ethtool, devlink, etc.

	Andrew